classification
Title: Patch to rename *Server modules to lower-case
Type: Stage:
Components: 2to3 (2.x to 3.x conversion tool), Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: brett.cannon, collinwinter, jasonpjason
Priority: normal Keywords: patch

Created on 2007-08-23 19:25 by jasonpjason, last changed 2008-05-16 04:41 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
fixer-server-imports.patch jasonpjason, 2007-08-23 19:25
server-renames.patch jasonpjason, 2007-08-23 19:26
Messages (3)
msg55188 - (view) Author: Jason Prado (jasonpjason) Date: 2007-08-23 19:25
Here's a patcher for the 2to3 fixer. After I add this ticket I'll try to 
add another file for the py3k/Lib directory.
msg55189 - (view) Author: Jason Prado (jasonpjason) Date: 2007-08-23 19:26
The patch to py3k/Lib
msg66895 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:41
SocketServer is the only *Server module who name is being directly 
lowercased. All the rest are ending up in various packages with a totally 
different name.
History
Date User Action Args
2008-05-16 05:17:13brett.cannonunlinkissue2775 dependencies
2008-05-16 04:41:11brett.cannonsetstatus: open -> closed
assignee: collinwinter
messages: + msg66895
resolution: rejected
nosy: + brett.cannon
2008-05-13 19:25:35georg.brandllinkissue2775 dependencies
2007-09-06 18:02:38collinwintersetnosy: + collinwinter
2007-09-06 18:02:17collinwintersetcomponents: + 2to3 (2.x to 3.x conversion tool)
2007-09-02 20:06:12loewissetkeywords: + patch
2007-08-28 10:32:53jafosetpriority: normal
2007-08-23 19:26:24jasonpjasonsetfiles: + server-renames.patch
messages: + msg55189
2007-08-23 19:25:19jasonpjasoncreate